// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// Extension is an autogenerated mock type for the Extension type
type Extension struct {
	mock.Mock
}

// ExecuteHTML provides a mock function with given fields: name, data
func (_m *Extension) ExecuteHTML(name string, data map[string]string) string {
	ret := _m.Called(name, data)

	var r0 string
	if rf, ok := ret.Get(0).(func(string, map[string]string) string); ok {
		r0 = rf(name, data)
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// ExecuteMarkdown provides a mock function with given fields: name, data
func (_m *Extension) ExecuteMarkdown(name string, data map[string]string) string {
	ret := _m.Called(name, data)

	var r0 string
	if rf, ok := ret.Get(0).(func(string, map[string]string) string); ok {
		r0 = rf(name, data)
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}
